import org.opencv.core.Core;
import org.opencv.core.Mat;
import org.opencv.core.Point;
import org.opencv.core.Size;
import org.opencv.videoio.VideoCapture;
import org.opencv.highgui.HighGui;
import org.opencv.imgproc.Imgproc;
import org.opencv.imgproc.Moments;
import org.opencv.videoio.Videoio;
import processing.core.PApplet;

import java.util.LinkedList;
import java.util.Queue;

public class Tracker {

    private final int CAM = 0;                  // Kamera-ID (0 für Webcam, 1 für andere Cams)
    private final int EXP = -7;                 // Belichtungszeit (idealerweise: 0)
    private final int FPS = 60;                 // FPS

    public Tracker(){

    }

    public static void main(String[] args){
        Tracker tracker = new Tracker();
        tracker.run();
    }

    private void run(){
        VideoCapture capture = setUp();

        if (!capture.isOpened()) {
            System.out.println("Fehler: Die Webcam konnte nicht geöffnet werden.");
            return;
        }
    }

    public int getX(){
        return x;
    }

    public int getY(){
        return y;
    }

    private VideoCapture setUp() {
        System.loadLibrary(Core.NATIVE_LIBRARY_NAME);
        VideoCapture capture = new VideoCapture(CAM);

        if (!capture.isOpened()) {
            System.out.println("Fehler: Die Webcam konnte nicht geöffnet werden.");
        }

        capture.set(Videoio.CAP_PROP_EXPOSURE, EXP);
        capture.set(Videoio.CAP_PROP_FPS, FPS);

        return capture;
    }
}
